Index: code/branches/cpp11_v2/src/modules/towerdefense/TowerDefense.h
===================================================================
--- code/branches/cpp11_v2/src/modules/towerdefense/TowerDefense.h	(revision 10769)
+++ code/branches/cpp11_v2/src/modules/towerdefense/TowerDefense.h	(revision 10817)
@@ -53,8 +53,8 @@
         virtual ~TowerDefense();        
         void addTowerDefenseEnemy(int templatenr);
-        virtual void start(); //<! The function is called when the gametype starts
-        virtual void end();
-        virtual void tick(float dt);
-        virtual void spawnPlayer(PlayerInfo* player);
+        virtual void start() override; //<! The function is called when the gametype starts
+        virtual void end() override;
+        virtual void tick(float dt) override;
+        virtual void spawnPlayer(PlayerInfo* player) override;
         PlayerInfo* getPlayer(void) const;
         int getCredit(){ return this->credit_; }
Index: code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseCenterpoint.h
===================================================================
--- code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 10769)
+++ code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 10817)
@@ -52,5 +52,5 @@
             virtual ~TowerDefenseCenterpoint() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             /**
Index: code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.h
===================================================================
--- code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 10769)
+++ code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 10817)
@@ -37,5 +37,5 @@
         //health gibt es unter: health_
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
         virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator);
 
Index: code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseField.h
===================================================================
--- code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseField.h	(revision 10769)
+++ code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseField.h	(revision 10817)
@@ -62,5 +62,5 @@
             TowerDefenseField(Context* context);
             virtual ~TowerDefenseField() {}
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             const bool isFree() const
                 { return type_==FREE; }
Index: code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseHUDController.h
===================================================================
--- code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 10769)
+++ code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 10817)
@@ -53,7 +53,7 @@
 
 
-        virtual void tick(float dt);
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-        virtual void changedOwner();
+        virtual void tick(float dt) override;
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+        virtual void changedOwner() override;
         void setShowlives(bool temp)
             { this->showlives = temp; }
Index: code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseSelecter.h
===================================================================
--- code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseSelecter.h	(revision 10769)
+++ code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseSelecter.h	(revision 10817)
@@ -41,14 +41,14 @@
             TowerDefenseSelecter(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~TowerDefenseSelecter();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);         
-            virtual void tick(float dt);            
-            virtual void moveFrontBack(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
-            virtual void moveRightLeft(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
-            virtual void rotateYaw(const Vector2& value);
-            virtual void rotatePitch(const Vector2& value);
-            virtual void rotateRoll(const Vector2& value);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;         
+            virtual void tick(float dt) override;            
+            virtual void moveFrontBack(const Vector2& value) override; //!< Overloaded the function to steer the bat up and down.
+            virtual void moveRightLeft(const Vector2& value) override; //!< Overloaded the function to steer the bat up and down.
+            virtual void rotateYaw(const Vector2& value) override;
+            virtual void rotatePitch(const Vector2& value) override;
+            virtual void rotateRoll(const Vector2& value) override;
             void fire(unsigned int firemode);
-            virtual void fired(unsigned int firemode);
-            virtual void boost(bool bBoost);
+            virtual void fired(unsigned int firemode) override;
+            virtual void boost(bool bBoost) override;
             virtual void setSelectedPosition(TDCoordinate* newPos);
             virtual void setSelectedPosition(int x, int y);
